﻿CREATE TABLE [dbo].[EmailTransactions]
(
	[Id] BIGINT NOT NULL PRIMARY KEY IDENTITY, 
    [CampaignId] UNIQUEIDENTIFIER NOT NULL FOREIGN KEY REFERENCES Campaigns(Id), 
    [ReceiverId] UNIQUEIDENTIFIER NOT NULL FOREIGN KEY REFERENCES Receivers(Id), 
    [RegionId] INT NOT NULL FOREIGN KEY REFERENCES Regions(Id), 
    [SenderId] INT NOT NULL FOREIGN KEY REFERENCES Senders(Id), 
    [ProviderId] INT NOT NULL FOREIGN KEY REFERENCES Providers(Id), 
    [Time] DATETIME NOT NULL,
    [TransactionStatus] INT NOT NULL, 
    [TransactionDescription] NVARCHAR(MAX) NULL 
)
